package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.MarketCodeLog;


/**
*  service接口类
*/
public interface MarketCodeLogService{

    List<MarketCodeLog> getMarketCodeLogList(MarketCodeLog record);

    List<MarketCodeLog> getMarketCodeLogByPage(Page page, MarketCodeLog record);

    MarketCodeLog getMarketCodeLogById(String id);

    MarketCodeLog getMarketCodeLog(MarketCodeLog record);

    boolean createMarketCodeLog(MarketCodeLog record);

    boolean deleteMarketCodeLog(MarketCodeLog record);

    boolean updateMarketCodeLog(MarketCodeLog record);
}

